summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog7
-rwxr-xr-xtests/rmdir/ignore12
2 files changed, 13 insertions, 6 deletions
diff --git a/ChangeLog b/ChangeLog
index 46deded14..0e6c87a34 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+2007-11-16 Paul Eggert <eggert@cs.ucla.edu>
+
+ Port tests/rmdir/ignore away from GNU/Linux.
+ * tests/rmdir/ignore: Don't assume that rmdir($PWD) will fail
+ with errno==ENOTEMPTY when $PWD is not empty; Posix also allows
+ rmdir to fail with errno==EBUSY.
+
2007-11-16 Jim Meyering <meyering@redhat.com>
Avoid an obscure new "make distcheck" failure.
diff --git a/tests/rmdir/ignore b/tests/rmdir/ignore
index 5acc786cb..6ad89577c 100755
--- a/tests/rmdir/ignore
+++ b/tests/rmdir/ignore
@@ -24,14 +24,14 @@ fi
. $srcdir/../test-lib.sh
cwd=`pwd`
-mkdir -p $cwd/a/b $cwd/x || framework_failure
+mkdir -p $cwd/a/b/c $cwd/a/x || framework_failure
fail=0
-rmdir -p --ignore-fail-on-non-empty $cwd/a/b || fail=1
-# $cwd/x should remain
-test -d $cwd/x || fail=1
-# $cwd/{a,b} should be gone
-test -d $cwd/a && fail=1
+rmdir -p --ignore-fail-on-non-empty $cwd/a/b/c || fail=1
+# $cwd/a/x should remain
+test -d $cwd/a/x || fail=1
+# $cwd/a/b and $cwd/a/b/c should be gone
test -d $cwd/a/b && fail=1
+test -d $cwd/a/b/c && fail=1
exit $fail